Bug 642679 - kernel BUG at mm/huge_memory.c:1279! [rhel-6.0.z]
Summary: kernel BUG at mm/huge_memory.c:1279! [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Zhouping Liu
URL:
Whiteboard:
: 683776 (view as bug list)
Depends On: 622327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-13 14:50 UTC by RHEL Program Management
Modified: 2014-01-13 00:01 UTC (History)
14 users (show)

Fixed In Version: kernel-2.6.32-71.5.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, an operation such as madvise(MADV_MERGEABLE) may have split VMAs (Virtual Memory Area) without checking if any huge page had to be split into regular pages, leading to huge pages to be still mapped in VMA ranges that would not be large enough to fit huge pages. With this update, huge pages are checked whether they have been split when any VMA is being truncated.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-10-13 14:50:00 UTC
This bug has been copied from bug #622327 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-20 06:22:39 UTC
in 2.6.32-71.5.1.el6

Comment 7 errata-xmlrpc 2010-11-10 19:11:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 8 Martin Prpič 2010-11-11 12:04:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, an operation such as madvise(MADV_MERGEABLE) may have split VMAs (Virtual Memory Area) without checking if any huge page had to be split into regular pages, leading to huge pages to be still mapped in VMA ranges that would not be large enough to fit huge pages. With this update, huge pages are checked whether they have been split when any VMA is being truncated.

Comment 9 Suzanne Forsberg 2011-04-20 18:21:08 UTC
*** Bug 683776 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.